--- util-linux.SlackBuild	2006-09-25 04:47:17.000000000 -0400
+++ util-linux.SlackBuild.s390x	2006-10-03 23:06:22.000000000 -0400
@@ -47,6 +47,7 @@
 rm -rf schedutils-1.5.0
 tar xzvf $CWD/schedutils-1.5.0.tar.gz
 cd schedutils-1.5.0
+cat $CWD/ionice.c.diff | patch -p1 --backup --suffix=.orig || exit 1
 make || exit
 mkdir -p $PKG/usr/bin
 cp chrt ionice taskset $PKG/usr/bin
@@ -69,6 +70,7 @@
 rm -rf setserial-2.17
 tar xzvf $CWD/setserial-2.17.tar.gz
 cd setserial-2.17
+cp -vp /usr/share/libtool/config.* ./
 zcat $CWD/setserial-rc.serial.diff.gz | patch -E -p1 --verbose || exit
 ./configure --prefix=/usr
 make
@@ -165,7 +167,9 @@
 cat disk-utils/mkfs.minix > $PKG/sbin/mkfs.minix
 cat disk-utils/mkfs > $PKG/sbin/mkfs
 cat disk-utils/mkswap > $PKG/sbin/mkswap
-cat sys-utils/rdev > $PKG/sbin/rdev
+# The rdev module doesn't build on S/390
+#cat sys-utils/rdev > $PKG/sbin/rdev
+rm -v $PKG/sbin/rdev
 cat mount/swapon > $PKG/sbin/swapon
 cat misc-utils/cal > $PKG/usr/bin/cal
 #cat login-utils/chsh > $PKG/usr/bin/chsh
@@ -241,7 +245,7 @@
 gzip -9c mount/pivot_root.8 > $PKG/usr/man/man8/pivot_root.8.gz
 for file in sys-utils/dmesg.8 mount/mount.8 \
 mount/losetup.8 mount/umount.8 login-utils/agetty.8 \
-hwclock/hwclock.8 sys-utils/rdev.8 \
+hwclock/hwclock.8 \
 sys-utils/cytune.8 sys-utils/sln.8 fdisk/fdisk.8 disk-utils/fsck.minix.8 \
 disk-utils/blockdev.8 disk-utils/elvtune.8 disk-utils/mkfs.bfs.8 \
 disk-utils/isosize.8 disk-utils/raw.8 \
